Bug 468296 - videocard goes to strange mode (works well with radeonhd)
videocard goes to strange mode (works well with radeonhd)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 18:42 EDT by Need Real Name
Modified: 2009-07-14 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:46:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (841 bytes, text/plain)
2008-10-24 11:11 EDT, Need Real Name
no flags Details
Xorg.0.log (61.22 KB, text/plain)
2008-10-24 11:18 EDT, Need Real Name
no flags Details
without xorg.conf (18.54 KB, text/plain)
2008-10-24 11:25 EDT, Need Real Name
no flags Details
radeonhd (44.37 KB, text/plain)
2008-10-25 09:47 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2008-10-23 18:42:06 EDT
I have Radeon HD 3300 on ASUS M3A78-T

(--) PCI:*(0@1:5:0) ATI Technologies Inc Radeon HD 3300 Graphics rev 0, Mem @ 0xd0000000/268435456, 0xfe9f0000/65536, 0xfe800000/1048576, I/O @ 0x0000d000/256


when I start X it is working OK in expected 1280x1024 mode, 24 color depth.
everything is OK.

But when I change screen mode 
by using either Alt-Ctl-+ or 
Alt-Ctl-F2 and then back Alt-Ctl-F7
the videocard goes to a very strange mode with blurry screen
and colordepth about 8bit or less.

There is no way to get it working again except doing
Ctl-Alt-backspace and start X over.

very annoying. I cannot switch to console without breaking X.
Comment 1 Matěj Cepl 2008-10-24 10:55:19 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Need Real Name 2008-10-24 11:11:11 EDT
Created attachment 321422 [details]
xorg.conf
Comment 3 Need Real Name 2008-10-24 11:15:34 EDT
motherboard & videocard specification

http://www.asus.com/products.aspx?l1=3&l2=149&l3=731&l4=0&model=2321&modelmenu=2
Comment 4 Need Real Name 2008-10-24 11:18:44 EDT
Created attachment 321423 [details]
Xorg.0.log
Comment 5 Need Real Name 2008-10-24 11:20:21 EDT
The Xorg.0.log was obtained as:
I started X (everything is OK) then types 
Alt-Ctl-+ several times to change screen mode.
After first mode switch the screen became barely readable.
Comment 6 Need Real Name 2008-10-24 11:25:19 EDT
Created attachment 321424 [details]
without xorg.conf

without xorg.conf file the X server does not start at all.
Fails with 
Fatal server error:
no screens found
message.
Xorg.0.log attached.
Comment 7 Need Real Name 2008-10-24 11:45:57 EDT
If in autogenerated xorg.conf I replace
Driver  "ati"
by
Driver  "vesa"
it starts working and shows the described problem.
Comment 8 Need Real Name 2008-10-25 09:45:25 EDT
After I installed 
xorg-x11-drv-radeonhd-1.2.1-3.9.20080917git.fc9
and replaced 
Driver  "vesa"
by
Driver  "radeonhd"

the card started working OK when switching resolution.
The ati driver does not work at all.
Comment 9 Need Real Name 2008-10-25 09:47:34 EDT
Created attachment 321504 [details]
radeonhd

The radeonhd driver, which I installed manually,
looks to be working OK.
Autodetected vesa & ati have problems.
Comment 10 Bug Zapper 2009-06-09 23:04:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 12:46:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.